## oasis 0.4.10

=== Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2011-2016, Sylvain Le Gall                                    #
#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

OMAKEFLAGS:=$(shell (command -v omake > /dev/null) && echo --enable-omake-tests)
CONFIGUREFLAGS += --override ocamlbuildflags -classic-display \
                  --enable-tests \
                  --enable-devel \
									--enable-devel-tests \
									$(OMAKEFLAGS)

default: test

#TESTFLAGS=-only-test "OASIS:1:OASIS:2:File:12:test-freeform.oasis"
TIMINGS=1

# OASIS_START
# DO NOT EDIT (digest: a3c674b4239234cbbe53afe090018954)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

all:
	$(SETUP) -all $(ALLFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: setup.data
	$(SETUP) -reinstall $(REINSTALLFLAGS)

clean:
	$(SETUP) -clean $(CLEANFLAGS)

distclean:
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

configure:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test all install uninstall reinstall clean distclean configure

# OASIS_STOP

# Count number of lines
#

wc:
	find src/ -name "*.ml" | xargs wc -l

wc-setup:
	awk -f src/tools/setup-wc.awk setup.ml

.PHONY: wc wc-setup

# Headache target
#  Fix license header of file.

headache:
	find ./ \
	  -name _darcs -prune -false \
	  -o -name .git -prune -false \
	  -o -name .svn -prune -false \
	  -o -name _build -prune -false \
	  -o -name dist -prune -false \
	  -o -name '*[^~]' -type f \
	  | xargs /usr/bin/headache -h _header -c _headache.config

.PHONY: headache

# Doc targets
#  Build documentation and pack them in a tarball.

doc-dist: doc
	./doc-dist.sh

.PHONY: doc-dist

# Precommit target
#  Check style of code.

PRECOMMIT_ARGS= \
	    --exclude myocamlbuild.ml \
	    --exclude setup.ml \
	    --exclude README.txt \
	    --exclude INSTALL.txt \
	    --exclude Makefile \
	    --exclude configure \
	    --exclude _tags

precommit:
	-@if command -v OCamlPrecommit > /dev/null; then \
	  OCamlPrecommit $(PRECOMMIT_ARGS); \
	else \
	  echo "Skipping precommit checks.";\
	fi

precommit-full:
	OCamlPrecommit --full $(PRECOMMIT_ARGS)

test: precommit

.PHONY: precommit

# Deploy target
#  Deploy/release the software.

deploy: headache doc-dist
	# TODO: create a plugin to create documentation.
	# oasis doc-dist
	mkdir dist || true
	exec_oasis_dist_ml=$$(readlink -m ./OASISDist.byte) \
	  admin-gallu-deploy --verbose \
	    --forge_upload --forge_group oasis \
	    --forge_extra_file "dist/oasis-doc-$(shell oasis query version).tar.gz"
	# TODO: create a plugin to send announcement.
	# oasis announce
	admin-gallu-oasis-increment
	./Main.native setup
	$(MAKE) distclean
	$(MAKE) test
	git commit -am "Update OASIS version."

.PHONY: deploy


# Create dev tarball.
#  Create a tarball for rebuilding the current version

dist-dev: build
	./Dist.byte -dev

.PHONY: dist-dev

# Create opam/ directory.
#  Create files for OPAM.

opam/opam opam/desc: _oasis
	env LOCAL=true bash -e ./src/tools/ci/oasis2opam.bash

opam: opam/opam opam/desc

opam-clean:
	$(RM) _oasis_remove_.ml oasis.install
	$(RM) -r opam

.PHONY: opam opam-clean

=== debian/changelog ===
oasis (0.4.10-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:40:10 +0200

oasis (0.4.10-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to liboasis-ocaml-dev's Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 23:42:24 +0200

oasis (0.4.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Remove patch (does not apply anymore)
  * Add ocamlbuild and libexpect-ocaml-dev to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2017 17:27:27 +0200

=== debian/control ===
Source: oasis
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
  Hendrik Tews <hendrik@askra.de>
Build-Depends:
  debhelper (>= 9),
  dh-ocaml (>= 0.9~),
  ocaml-nox (>= 3.11.2),
  ocaml-best-compilers,
  ocaml-findlib (>= 1.3.1),
  camlp4,
  ocamlbuild,
  ocamlify,
  ocamlmod (>= 0.0.7),
  libpcre-ocaml-dev,
  libounit-ocaml-dev (>= 2.0.0),
  libodn-ocaml-dev (>= 0.0.11),
  libfindlib-ocaml-dev,
  libfileutils-ocaml-dev (>= 0.4.2),
  zlib1g-dev,
  libidn11-dev,
  libextlib-ocaml-dev,
  libexpect-ocaml-dev,
  libbitstring-ocaml-dev
Standards-Version: 3.9.8
Homepage: http://oasis.forge.ocamlcore.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git

Package: oasis
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 liboasis-ocaml-dev
Description: Build-system generation for OCaml projects -- binaries
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains command-line tools.

Package: liboasis-ocaml-dev
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ocamlbuild,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Build-system generation for OCaml projects -- development files
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the development files needed for using OASIS as
 a library.

Package: liboasis-ocaml
Architecture: any
Suggests: liboasis-ocaml-doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: Build-system generation for OCaml projects -- runtime
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the shared runtime libraries and plugins.

Package: liboasis-ocaml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Architecture for building OCaml libraries and applications
 OASIS generates a full configure, build and install system for your
 application. It starts with a simple `_oasis` file at the toplevel of your
 project and creates everything required.
 .
 It uses external tools like OCamlbuild and it can be considered as the glue
 between various subsystems that do the job. It should support the following
 tools:
 .
  - OCamlbuild
  - OMake (todo)
  - OCamlMakefile (todo),
  - ocaml-autoconf (todo)
 .
 It also features a do-it-yourself command line invocation and an internal
 configure/install scheme. Libraries are managed through findlib. It has been
 tested on GNU Linux and Windows.
 .
 OASIS supports standard entry points and descriptions. It helps to
 integrates your libraries and software with third parties tools like GODI.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --enable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	if [ ! -f src/oasis/OASISData.mli ] ; then \
		ocamlbuild src/oasis/OASISData.inferred.mli; \
		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
	fi
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	# Tests disabled for now (until this is built with OCaml >= 4.02)
	# ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install 

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

debian/oasis.1: debian/oasis.mkd
	pandoc -s -w man $^ -o $@

## oasis 0.4.11

=== Makefile ===
--- 
+++ 
@@ -89,14 +89,15 @@
 #  Fix license header of file.
 
 headache:
-	find ./ \
-	  -name _darcs -prune -false \
-	  -o -name .git -prune -false \
-	  -o -name .svn -prune -false \
-	  -o -name _build -prune -false \
-	  -o -name dist -prune -false \
-	  -o -name '*[^~]' -type f \
-	  | xargs /usr/bin/headache -h _header -c _headache.config
+	# TODO: reactivate when headache in opam will be ready.
+	#find ./ \
+	#  -name _darcs -prune -false \
+	#  -o -name .git -prune -false \
+	#  -o -name .svn -prune -false \
+	#  -o -name _build -prune -false \
+	#  -o -name dist -prune -false \
+	#  -o -name '*[^~]' -type f \
+	#  | xargs /usr/bin/headache -h _header -c _headache.config
 
 .PHONY: headache

=== test/data/TestFull/customdoc/Makefile ===
################################################################################
#  OASIS: architecture for building OCaml libraries and applications           #
#                                                                              #
#  Copyright (C) 2011-2016, Sylvain Le Gall                                    #
#  Copyright (C) 2008-2011, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

all:

doc:
	ocamldoc -html A.ml

doc-clean:
	$(RM) *.html style.css

=== debian/changelog ===
oasis (0.4.11-5build5) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 10 Mar 2025 07:33:03 +0100

oasis (0.4.11-5build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:26:37 +0100

oasis (0.4.11-5build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 14:14:25 +0100

oasis (0.4.11-5build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:30:03 +0200

oasis (0.4.11-5build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Jul 2024 08:44:31 +0200

oasis (0.4.11-5) unstable; urgency=medium

  * Team upload
  * Call ocamlbuild with -use-ocamlfind

 -- Stéphane Glondu <glondu@debian.org>  Sun, 30 Jun 2024 11:07:01 +0200

oasis (0.4.11-4) unstable; urgency=medium

  * Team upload
  * Fix build with OCaml 5.x
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Sat, 29 Jun 2024 09:03:35 +0200

oasis (0.4.11-3) unstable; urgency=medium

  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Sep 2023 07:49:19 +0200

oasis (0.4.11-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Remove libpcre-ocaml-dev from Build-Depends (unused)
  * Bump Standards-Version to 4.6.0
  * Bump debhelper compat level to 13
  * Add Rules-Requires-Root: no
  * Update debian/watch

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Add Multi-Arch: foreign to liboasis-ocaml-doc

 -- Stéphane Glondu <glondu@debian.org>  Tue, 30 Nov 2021 13:41:07 +0100

oasis (0.4.11-1) unstable; urgency=medium

  * New upstream release
  * Disable tests (they depend on camlp4), clean up Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2019 04:58:32 +0200

oasis (0.4.10-3) unstable; urgency=high

  * Force rebuild of all packages on buildds
  * Bump debhelper compat level to 12
  * Update Vcs-*
  * Bump Standards-Version to 4.4.0
  * Remove Hendrik from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 06 Aug 2019 09:39:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,26 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders:
-  Hendrik Tews <hendrik@askra.de>
 Build-Depends:
-  debhelper (>= 9),
-  dh-ocaml (>= 0.9~),
-  ocaml-nox (>= 3.11.2),
+  debhelper-compat (= 13),
+  dh-ocaml,
+  ocaml,
   ocaml-best-compilers,
   ocaml-findlib (>= 1.3.1),
-  camlp4,
   ocamlbuild,
   ocamlify,
   ocamlmod (>= 0.0.7),
-  libpcre-ocaml-dev,
   libounit-ocaml-dev (>= 2.0.0),
-  libodn-ocaml-dev (>= 0.0.11),
   libfindlib-ocaml-dev,
   libfileutils-ocaml-dev (>= 0.4.2),
+  libcamlp-streams-ocaml-dev,
   zlib1g-dev,
-  libidn11-dev,
-  libextlib-ocaml-dev,
-  libexpect-ocaml-dev,
-  libbitstring-ocaml-dev
-Standards-Version: 3.9.8
+  libidn-dev
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
 Homepage: http://oasis.forge.ocamlcore.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/oasis.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/oasis.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/oasis
 
 Package: oasis
 Architecture: any
@@ -129,6 +123,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Architecture for building OCaml libraries and applications
  OASIS generates a full configure, build and install system for your
  application. It starts with a simple `_oasis` file at the toplevel of your

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_DESTDIR
OCAMLFIND_LDCONF=ignore
export OCAMLFIND_LDCONF

SETUP := ocaml -I +camlp-streams camlp_streams.cma setup.ml

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	$(SETUP) -configure --prefix /usr --destdir '$(DESTDIR)' --docdir '/usr/share/doc/liboasis-ocaml-doc' --disable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	$(SETUP) -build
	if [ ! -f src/oasis/OASISData.mli ] ; then \
		ocamlbuild src/oasis/OASISData.inferred.mli; \
		cp -i _build/src/oasis/OASISData.inferred.mli src/oasis/OASISData.mli; \
	fi
	$(SETUP) -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(SETUP) -test
endif

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	$(SETUP) -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(SETUP) -distclean

debian/oasis.1: debian/oasis.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=4
https://github.com/ocaml/oasis/tags .*/v?([0-9.]+)\.tar\.gz

## oasis 0.99.5

=== DESCRIPTION ===
Package: oasis
Type: Package
Title: Multiple Sclerosis Lesion Segmentation using Magnetic Resonance
        Imaging (MRI)
Version: 0.99.5
Date: 2015-12-26
Authors@R: c(person(given = "Elizabeth M.", "Sweeney",  
  email = "emsweene@jhsph.edu", role = c("aut", "cre")), 
  person(given = "John", family = "Muschelli", email = "muschellij2@gmail.com", 
  role = c("aut")), 
  person(  given = "R. Taki", family = "Shinohara", 
  email = "rshi@mail.med.upenn.edu", 
  role = c("aut")))
Maintainer: Elizabeth M. Sweeney <emsweene@jhsph.edu>
Description: Trains and makes predictions from the OASIS method, described in
    detail in the paper "OASIS is Automated Statistical Inference for Segmentation,
    with applications to multiple sclerosis lesion segmentation in MRI" 
    <doi:10.1016/j.nicl.2013.03.002>. OASIS is a method
    for multiple sclerosis (MS) lesion segmentation on structural magnetic resonance
    image (MRI) studies. OASIS creates probability maps of lesion presence using the
    FLAIR, T2, T1, and PD structural MRI volumes. This packages allows for training
    of the OASIS model and prediction of OASIS probability maps from a trained model
    with user supplied studies that have a gold standard lesion segmentation masks.
    The package will also create OASIS probability maps for MRI studies using the
    OASIS model from the OASIS paper if no gold standard lesion segmentation masks
    are available.
Depends: fslr (>= 1.5.0)
Imports: stats, parallel, oro.nifti
Suggests: downloader
License: GPL-2
LazyLoad: yes
LazyData: yes
RoxygenNote: 5.0.1
NeedsCompilation: no
Packaged: 2015-12-26 18:11:17 UTC; johnmuschelli
Author: Elizabeth M. Sweeney [aut, cre],
  John Muschelli [aut],
  R. Taki Shinohara [aut]
Repository: CRAN
Date/Publication: 2015-12-26 21:18:11

## oasis 2.1

=== DESCRIPTION ===
Package: oasis
Type: Package
Title: Multiple Sclerosis Lesion Segmentation using Magnetic Resonance
        Imaging (MRI)
Version: 2.1
Date: 2016-09-23
Authors@R: c(person(given = "Elizabeth M.", "Sweeney",  
  email = "emsweene@jhsph.edu", role = c("aut", "cre")), 
  person(given = "John", family = "Muschelli", email = "muschellij2@gmail.com", 
  role = c("aut")), 
  person(  given = "R. Taki", family = "Shinohara", 
  email = "rshi@mail.med.upenn.edu", 
  role = c("aut")))
Maintainer: Elizabeth M. Sweeney <emsweene@jhsph.edu>
Description: Trains and makes predictions from the OASIS method, described in
    detail in the paper "OASIS is Automated Statistical Inference for Segmentation,
    with applications to multiple sclerosis lesion segmentation in MRI" 
    <doi:10.1016/j.nicl.2013.03.002>. 
    OASIS is a method for multiple sclerosis (MS)
    lesion segmentation on structural magnetic resonance image (MRI) studies. OASIS
    creates probability maps of lesion presence using the FLAIR, T2, T1, and PD
    structural MRI volumes. This packages allows for training of the OASIS model
    and prediction of OASIS probability maps from a trained model with user supplied
    studies that have a gold standard lesion segmentation masks. The package will
    also create OASIS probability maps for MRI studies using the OASIS model from
    the OASIS paper if no gold standard lesion segmentation masks are available.
Imports: neurobase, fslr (>= 2.0), methods, stats, parallel, oro.nifti,
        mmand
Suggests: httr
License: GPL-2
LazyLoad: yes
LazyData: yes
RoxygenNote: 5.0.1.9000
NeedsCompilation: no
Packaged: 2016-09-29 00:53:10 UTC; johnmuschelli
Author: Elizabeth M. Sweeney [aut, cre],
  John Muschelli [aut],
  R. Taki Shinohara [aut]
Repository: CRAN
Date/Publication: 2016-09-29 23:58:02

## oasis 3.0.4

=== DESCRIPTION ===
Package: oasis
Type: Package
Title: Multiple Sclerosis Lesion Segmentation using Magnetic Resonance
        Imaging (MRI)
Version: 3.0.4
Date: 2018-02-20
Authors@R: c(person(given = "Elizabeth M.", "Sweeney",  
  email = "elizabethmargaretsweeney@gmail.com", role = c("aut", "cre")), 
  person(given = "John", family = "Muschelli", email = "muschellij2@gmail.com", 
  role = c("aut")), 
  person(  given = "R. Taki", family = "Shinohara", 
  email = "rshi@mail.med.upenn.edu", 
  role = c("aut")))
Description: Trains and makes predictions from the OASIS method, described in
    detail in the paper "OASIS is Automated Statistical Inference for Segmentation,
    with applications to multiple sclerosis lesion segmentation in MRI" 
    <doi:10.1016/j.nicl.2013.03.002>. 
    OASIS is a method for multiple sclerosis (MS)
    lesion segmentation on structural magnetic resonance image (MRI) studies. OASIS
    creates probability maps of lesion presence using the FLAIR, T2, T1, and PD
    structural MRI volumes. This packages allows for training of the OASIS model
    and prediction of OASIS probability maps from a trained model with user supplied
    studies that have a gold standard lesion segmentation masks. The package will
    also create OASIS probability maps for MRI studies using the OASIS model from
    the OASIS paper if no gold standard lesion segmentation masks are available.
Depends: R (>= 2.10)
Imports: neurobase, fslr (>= 2.13), methods, stats, parallel,
        oro.nifti, mmand
Suggests: httr, covr, ROCR
License: GPL-2
LazyLoad: yes
LazyData: yes
Encoding: UTF-8
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-21 02:58:51 UTC; johnmuschelli
Author: Elizabeth M. Sweeney [aut, cre],
  John Muschelli [aut],
  R. Taki Shinohara [aut]
Maintainer: Elizabeth M. Sweeney <elizabethmargaretsweeney@gmail.com>
Repository: CRAN
Date/Publication: 2018-02-21 18:22:15 UTC
